## com.lowagie.text.pdf
Class PdfException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.lowagie.text.DocumentException
                  com.lowagie.text.pdf.PdfException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BadPdfFormatException

public class PdfException
extends DocumentException

Signals that an unspecified problem while constructing a PDF document.

See Also:
  `BadPdfFormatException`, Serialized Form

Field Summary

Fields inherited from class com.lowagie.text.DocumentException
``

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`(package private)` `PdfException()` Constructs a `PdfException` whithout a message.
`` `PdfException(Exception ex)`
`(package private)` `PdfException(String message)` Constructs a `PdfException` with a message.

Methods inherited from class com.lowagie.text.DocumentException
`getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PdfException

    public PdfException(Exception ex)

### PdfException

    PdfException()

  Constructs a `PdfException` whithout a message.

### PdfException

    PdfException(String message)

  Constructs a `PdfException` with a message.

Parameters:
  `message` - a message describing the exception